

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */


import java.util.*;
import java.io.*;




public class IniSection {

	private static boolean _caseOn = true;
  private String _name;
  private LinkedHashMap _map;


	private IniSection(){}

	protected IniSection( String name, boolean caseOn ) {
    this.setCaseOn(caseOn);
    this._name = name;
    this._map = new LinkedHashMap();
  }

	private void setCaseOn(boolean value){
		_caseOn = value;
	}

  public static boolean getCaseOn(){
    return _caseOn;
	}


  protected void put( String key, String value ) {
    _map.put( key, value );
  }

  protected String getName() {
    if ( _name.startsWith("<$$$COMMENT")  ){
      return _name.substring( _name.lastIndexOf(">") +1 );
    }
    else{
      return _name;
    }
  }

  protected Map getMap() {
    return (Map) _map.clone();
  }

  public Properties getProperties() {
    Properties p = new Properties();
    p.putAll( _map );
    return p;
  }

  public String getValue( String key ) {
    String s = key;
    String v = "";

    if (getCaseOn()){
      s = key.toUpperCase();
    }
    try {
      v = (String) _map.get( s );
      if (v.equals(null) ) {
        throw new Exception( "no value found for key: " + key );
      }
    }catch (Exception e) {
      System.out.println("no value found for key:> " + key);
    }

    return v;
  }

  public void setValue (String key, String value){
    String s;
    if (getCaseOn()){
      s = key.toUpperCase();
    }
    else{
      s = key;
    }
    if (!this.hasKey(key)){
      _map.put( s, value );
    }
  }


				public void deleteKey(String key){
					String s;
						if (getCaseOn()){
				      s = key.toUpperCase();
						}
						else{
				      s = key;

						}
						  _map.remove( s );

				}

        public boolean hasKey( String key ) {
					String s;
					if (getCaseOn()){
					  s = key.toUpperCase();
					}
					else{
						s = key;
					}

				  if ( _map.containsKey(s) ){
            return true;
				  }
					else{
						return false;
					}
        }


        public boolean hasValue( String value ) {
				  if ( _map.containsValue(value) ){
            return true;
				  }
					else{
						return false;
					}
        }


        public Set getKeys() {
				  return _map.keySet();
        }

				public Set getValues(){
					  Set h = new HashSet();
						Map m = this.getMap();

						for( Iterator j = m.keySet().iterator(); j.hasNext(); ) {
                String key = (String) j.next();
								h.add( this.getValue( key ) );
            }

            return h;

				}



    }

