package CustomTags;

import javax.servlet.jsp.*;

public class Utils {

  /**
   * Convert string scope to a PageContext static value.
   */
  public static int getScope( String scope ) throws Exception {
    if ( scope.equalsIgnoreCase("PAGE") ) {
      return PageContext.PAGE_SCOPE;
    } else if ( scope.equalsIgnoreCase("REQUEST") ) { 
      return PageContext.REQUEST_SCOPE;
    } else if ( scope.equalsIgnoreCase("SESSION") ) { 
      return PageContext.SESSION_SCOPE;
    } else if ( scope.equalsIgnoreCase("APPLICATION") ) { 
      return PageContext.APPLICATION_SCOPE;
    } else {
      throw new Exception("wrong scope!");
    }
  }

}
